Package ru.bitel.bgbilling.modules.mps.common.bean

# Class Transaction.Builder

java.lang.Object
ru.bitel.bgbilling.common.bean.BGAbstarctTransactionBuilder<Transaction.Builder,Transaction>
ru.bitel.bgbilling.modules.mps.common.bean.Transaction.Builder

Enclosing class:
  `Transaction`

public static class Transaction.Builder extends BGAbstarctTransactionBuilder<Transaction.Builder,Transaction>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGAbstarctTransactionBuilder

  `builder, transaction`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Transaction.Builder`
  `setLocalTime(Date localTime)`
  `Transaction.Builder`
  `setMpsId(String mpsId)`
  `Transaction.Builder`
  `setNumber(String number)`
  `Transaction.Builder`
  `setRawNumber(String rawNumber)`
  `Transaction.Builder`
  `setTime(Date time)`
  `Transaction.Builder`
  `setTransId(long transId)`
  `Transaction.Builder`
  `setTransId(String transId)`
  `Transaction.Builder`
  `setType(int type)`

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGAbstarctTransactionBuilder

  `build, setAutopayment, setContractComment, setContractId, setContractTitle, setCreateDate, setId, setParameters, setPaymentId, setStatus, setSum, setTransactionDate, setTransactionId, setTransactionType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setTransId

    public Transaction.Builder setTransId(String transId)

  - ### setTime

    public Transaction.Builder setTime(Date time)

  - ### setRawNumber

    public Transaction.Builder setRawNumber(String rawNumber)

  - ### setType

    public Transaction.Builder setType(int type)

  - ### setTransId

    public Transaction.Builder setTransId(long transId)

  - ### setNumber

    public Transaction.Builder setNumber(String number)

  - ### setLocalTime

    public Transaction.Builder setLocalTime(Date localTime)

  - ### setMpsId

    public Transaction.Builder setMpsId(String mpsId)